import React from "react";
import GoogleMapReact from 'google-map-react';
import "./css/maps.css";
import apiKey from './config/googleApiKey.js';
import {longitude, latitude, mapWidth, mapHeight} from "./config/variables";

const AnyReactComponent = ({ text }) => <div>{text}</div>;

export default class Google extends React.Component{
  state = {
    latitude: latitude,
    longitude: longitude,
    zoom: 15,
    }
  
  render() {
    const position = [this.state.latitude, this.state.longitude]
    return (
      <div style={{ height: mapHeight, width: mapWidth }}>
        <GoogleMapReact
          bootstrapURLKeys={{ key: apiKey }}
          defaultCenter={position}
          defaultZoom={this.state.zoom}
          yesIWantToUseGoogleMapApiInternals
          layerTypes={['TrafficLayer', 'TransitLayer']}
        >
        
          <AnyReactComponent
            lat={latitude}
            lng={longitude}
            text="My Marker"
          />

        </GoogleMapReact>
      </div>
    );
  }
}